Bug 21416 - 'gr' option missing from ZEBRA_LANGUAGE options in koha-sites.conf
Summary: 'gr' option missing from ZEBRA_LANGUAGE options in koha-sites.conf
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Zebra (show other bugs)
Version: master
Hardware: All All
: P3 trivial (vote)
Target Milestone: ---
Assignee: Andreas Roussos
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-26 16:29 UTC by Andreas Roussos
Modified: 2018-10-24 09:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21416: 'gr' option missing from ZEBRA_LANGUAGE options in koha-sites.conf (1.13 KB, patch)
2018-09-27 04:57 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 21416: 'gr' option missing from ZEBRA_LANGUAGE options in koha-sites.conf (1.19 KB, patch)
2018-09-27 10:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2018-09-26 16:29:28 UTC
Bug 11927 added a Zebra charmap file (sort-string-utf.chr) for Greek
language sorting support and also updated the 'koha-create' script
to list 'gr' as an available option to the --zebralang argument.

However, the main configuration file in /etc/koha/koha-sites.conf
(AKA debian/templates/koha-sites.conf in git) does not list 'gr'
as an option for the ZEBRA_LANGUAGE variable.

I believe 'gr' should be listed among the other language codes,
otherwise those who are unaware of Bug 11927 won't know that such
support has been added.
Comment 1 Andreas Roussos 2018-09-27 04:57:59 UTC
Created attachment 79465 [details] [review]
Bug 21416: 'gr' option missing from ZEBRA_LANGUAGE options in koha-sites.conf

'gr' (as in 'Greek') is missing from the ZEBRA_LANGUAGE options
in debian/templates/koha-sites.conf. This patch fixes that.

Test plan:
1) view koha-sites.conf and notice how 'gr' is missing from the
   ZEBRA_LANGUAGE options
2) apply the patch
3) observe that koha-sites.conf now includes 'gr' as an option
Comment 2 Katrin Fischer 2018-09-27 10:00:14 UTC
Created attachment 79471 [details] [review]
Bug 21416: 'gr' option missing from ZEBRA_LANGUAGE options in koha-sites.conf

'gr' (as in 'Greek') is missing from the ZEBRA_LANGUAGE options
in debian/templates/koha-sites.conf. This patch fixes that.

Test plan:
1) view koha-sites.conf and notice how 'gr' is missing from the
   ZEBRA_LANGUAGE options
2) apply the patch
3) observe that koha-sites.conf now includes 'gr' as an option

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2018-09-27 10:01:12 UTC
Easy change, just advertising the existing option, moving to PQA directly.
Comment 4 Nick Clemens 2018-09-28 19:59:36 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-05 11:51:54 UTC
Pushed to 18.05.x for 18.05.05
Comment 6 Fridolin SOMERS 2018-10-11 12:36:52 UTC
Pushed to 17.11.x for 17.11.11